%define upstream_name Horde_Alarm
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.7
Release:     	%mkrel 1
Summary:    	Horde alarm libraries
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:    	php-pear-Horde_Date < 2.0.0
Requires:    	php-pear-Horde_Exception < 2.0.0
Requires:    	php-pear-Horde_Translation < 2.0.0
Conflicts:   	php-pear-Horde_Date = 2.0.0
Conflicts:   	php-pear-Horde_Exception = 2.0.0
Conflicts:   	php-pear-Horde_Translation = 2.0.0
Requires:     	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Alarm = %{version}
Obsoletes:	horde-alarm	

%description
This package provides an interface to deal with reminders, alarms and
notifications through a standardized API. The following notification
methods are available at the moment: standard Horde notifications, popups,
emails, sms.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Alarm.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Alarm.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Alarm
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Alarm/COPYING
%{peardir}/*
%{xmldir}/Horde_Alarm.xml



%changelog

* Sat Dec 17 2011 spuhler <spuhler> 1.0.7-1.mga2
+ Revision: 183275
- upgrade to 1.0.7

* Sun Nov 27 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 173191
- upgrade to 1.0.6
  changed -License: from GPLv2 to LGPL-2.1

* Sun Nov 13 2011 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 167256
- upgrade to 1.0.5

* Sat Nov 05 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 163934
- upgrade to 1.0.4
-Provides:      	php-pear-Horde_Alarm
  +Provides:      	php-pear-Horde_Alarm = %%{version}
- imported package php-pear-Horde_Alarm

